--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method allow the plugin programmer to choose to only pick a subset of the string matched by a parameter. This is done by passing the collector=() method either a Regexp with captures or an Array or a Hash.
- !ruby/struct:SM::Flow::P 
  body: When the method is passed a Regexp with captures, the collect() method will return the first non-nil captured group.
- !ruby/struct:SM::Flow::P 
  body: When the method is passed an Array, it will grab a regexp from the first element, and possibly an index from the second element. The index can also be nil.
- !ruby/struct:SM::Flow::P 
  body: When the method is passed a Hash, it will grab a regexp from the :regexp element, and possibly an index from the :index element. The index can also be nil.
full_name: Irc::Bot::MessageParameter#collector=
is_singleton: false
name: collector=
params: (val)
visibility: public
